<div class="addContainer">
    <div class="modalHeader">
      <div class="editRowModal">
        <div class="modalHeader clearfix">
          <div class="modal-about">
            <div class="font-weight-bold p-t-5 p-l-10 font-17">
              {{textodedialogo}}</div>
          </div>
        </div>
      </div>
      <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
        <mat-icon>close</mat-icon>
      </button>
    </div>
    <div mat-dialog-content>
      <form class="register-form m-4" [formGroup]="formularioservicio" (ngSubmit)="submit()">

        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
              <mat-form-field class="example-full-width" appearance="outline">
                <mat-label>Nombre del servicio</mat-label>
                <input matInput formControlName="Nombre" required>
                <mat-error *ngIf="formularioservicio.get('Nombre').hasError('required')">
                    El nombre del servicio no puede estar vacio
                </mat-error>
              </mat-form-field>
            </div>
        </div>

        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
              <mat-form-field class="example-full-width" appearance="outline">
                <mat-label>Categoría</mat-label>
                <mat-select placeholder="Elegir opcion" formControlName="idCategorias" required>
                    <mat-option>
                      <ngx-mat-select-search [formControl]="controldefiltro" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                    </mat-option>
                    <mat-option *ngFor="let categ of categorias1" [value]="categ.idCategorias">
                      {{categ.Nombre}}
                    </mat-option>
                </mat-select>
                <mat-error *ngIf="formularioservicio.get('idCategorias').hasError('required')">
                    La categoría es necesaria
                </mat-error>
              </mat-form-field>
            </div>
        </div>

        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
              <mat-form-field class="example-full-width" appearance="outline">
                <mat-label>Costo del servicio</mat-label>
                <input matInput formControlName="Costo" type="number" required>
                <mat-error *ngIf="formularioservicio.get('Costo').hasError('required')">
                    Debes de ingresar el costo del servicio
                </mat-error>
              </mat-form-field>
            </div>
        </div>

        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
              <mat-form-field class="example-full-width" appearance="outline">
                <mat-label>Descripción del servicio</mat-label>
                <input matInput formControlName="Descripcion">
              </mat-form-field>
            </div>
        </div>

        <div class="row">
          <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                <mat-checkbox class="example-margin" formControlName="MostrarDesh">Habilitar Servio</mat-checkbox>
          </div>
        </div>
        <div class="row" style="text-align: end;">
          <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
            <div class="example-button-row">
              <button mat-raised-button color="primary" [type]="submit" 
                 (click)="confirmAdd()">Guardar</button>
              <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancelar</button>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
  